> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Release Forms (/api-reference/release-forms/list-release-forms)

Get a paginated list of release forms for the account. Use `offset` and `limit` for pagination, following `_pagination.next_page` until it is `null`. Optionally filter with `filter`, sort with `sort`/`sortDirection`, or search by `name`.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/release-forms
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Blocked / Restricted Users
    description: APIs for listing the users an account has blocked or restricted
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links, tracking links, and Smart Links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/release-forms:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Release Forms
      operationId: listReleaseForms
      description: Get a paginated list of release forms for the account. Use `offset`
        and `limit` for pagination, following `_pagination.next_page` until it
        is `null`. Optionally filter with `filter`, sort with
        `sort`/`sortDirection`, or search by `name`.
      parameters:
        - in: query
          name: limit
          description: Number of release forms to return per page (1-50). Must be at least
            1. Must not be greater than 50.
          example: 10
          required: false
          schema:
            type: integer
            description: Number of release forms to return per page (1-50). Must be at least
              1. Must not be greater than 50.
            example: 10
        - in: query
          name: offset
          description: Number of release forms to skip for pagination. Must be at least 0.
          example: 0
          required: false
          schema:
            type: integer
            description: Number of release forms to skip for pagination. Must be at least 0.
            example: 0
        - in: query
          name: filter
          description: "Filter release forms by state: `all` or `pending`."
          example: all
          required: false
          schema:
            type: string
            description: "Filter release forms by state: `all` or `pending`."
            example: all
            enum:
              - all
              - pending
            nullable: true
        - in: query
          name: sort
          description: "Sort field: `date` or `name`."
          example: date
          required: false
          schema:
            type: string
            description: "Sort field: `date` or `name`."
            example: date
            enum:
              - date
              - name
            nullable: true
        - in: query
          name: sortDirection
          description: "Sort direction: `desc` or `asc`."
          example: desc
          required: false
          schema:
            type: string
            description: "Sort direction: `desc` or `asc`."
            example: desc
            enum:
              - desc
              - asc
            nullable: true
        - in: query
          name: name
          description: Search release forms by name.
          example: null
          required: false
          schema:
            type: string
            description: Search release forms by name.
            example: null
            nullable: true
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    items:
                      - id: 5000001
                        type: document
                        name: Example Creator
                        user_partner_id: 300000001
                        code: null
                        date: 2023-01-09 03:53:56
                        approve_date: 2023-01-09 03:55:23
                        last_changed: 2026-06-26 06:33:35
                        status: approved
                        hiddenForRf: false
                        user_name: null
                        hasUser: true
                      - id: 5000002
                        type: link
                        name: Collab Example - 24/7
                        user_partner_id: null
                        code: exampleReleaseFormCode1234567890
                        date: 2026-03-10 12:19:56
                        approve_date: null
                        last_changed: 2026-03-10 12:19:56
                        status: pending
                        hiddenForRf: false
                        user_name: null
                        hasUser: false
                    hasMore: true
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_abc123/release-forms?limit=10&offset=10
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999839
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999999
                      remaining_day: 49997
                properties:
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        example:
                          - id: 5000001
                            type: document
                            name: Example Creator
                            user_partner_id: 300000001
                            code: null
                            date: 2023-01-09 03:53:56
                            approve_date: 2023-01-09 03:55:23
                            last_changed: 2026-06-26 06:33:35
                            status: approved
                            hiddenForRf: false
                            user_name: null
                            hasUser: true
                          - id: 5000002
                            type: link
                            name: Collab Example - 24/7
                            user_partner_id: null
                            code: exampleReleaseFormCode1234567890
                            date: 2026-03-10 12:19:56
                            approve_date: null
                            last_changed: 2026-03-10 12:19:56
                            status: pending
                            hiddenForRf: false
                            user_name: null
                            hasUser: false
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 5000001
                            type:
                              type: string
                              example: document
                            name:
                              type: string
                              example: Example Creator
                            user_partner_id:
                              type: integer
                              example: 300000001
                            code:
                              type: string
                              example: null
                              nullable: true
                            date:
                              type: string
                              example: 2023-01-09 03:53:56
                            approve_date:
                              type: string
                              example: 2023-01-09 03:55:23
                            last_changed:
                              type: string
                              example: 2026-06-26 06:33:35
                            status:
                              type: string
                              example: approved
                            hiddenForRf:
                              type: boolean
                              example: false
                            user_name:
                              type: string
                              example: null
                              nullable: true
                            hasUser:
                              type: boolean
                              example: true
                      hasMore:
                        type: boolean
                        example: true
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_abc123/release-forms?limit=10&offset=10
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999839
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999999
                          remaining_day:
                            type: integer
                            example: 49997
      tags:
        - Release Forms
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````